please choosego to mobile | Continue to access the PC version
12
Return to list Post new posts
Author: loboris

ArchLinux for OrangePi H3 boards

[Copy link]

1

threads

7

posts

217

credits

Intermediate member

Rank: 3Rank: 3

credits
217
Published in 2015-10-21 17:23:32 | Show all floors
Edited by mark2@opi at 2015-10-21 17:25
venividivici replied at 2015-10-21 16:36
I connect via ssh
All of sudden the terminal is not responding anymore to the keyboard and pinging t ...

I'venoticed networkmanger and systemd-networkd seem not be best friends on Arch,

Network goes down (SSH too) but the OPI does not crash.


Are you using wifi and wired at the same time?
if yes, how do you raise the eth and wlan?


BTW: ingeneral a rolling (bleeding edge) release as Arch is not the best choice for stability,
I would choose a more conservative distribution as Debian

2

threads

29

posts

91

credits

Moderator

Rank: 7Rank: 7Rank: 7

credits
91
Published in 2015-10-22 03:45:09 | Show all floors
Hi,
Just using wired, no wifi
Arch was the dog balls before systemd came along
I still love yaourt but yes, a distro like dietpi (raspbian based) is ideal for a stable server

1

threads

6

posts

50

credits

Registered member

Rank: 2

credits
50
Published in 2015-10-31 10:12:30 | Show all floors
Hi,loboris,my rt5370 wireless adapter can't work on archlinux(rt2x00lib_request_firmware.Error failed to request firmware).I have used the latest scriptbin_kernel.tar.gz.When I use your debian img,rt5370 can work.Do you know the reasons?I need you help.

10

threads

448

posts

5057

credits

Moderator

Rank: 7Rank: 7Rank: 7

credits
5057
 Author| Published in 2015-10-31 16:47:56 | Show all floors
zhangbuzheng replied at 2015-10-31 03:12
Hi,loboris,my rt5370 wireless adapter can't work on archlinux(rt2x00lib_request_firmware.Error faile ...

Newer versions of udev does not support user-space firmware loading and OPI kernel does not support kernel-space firmware loading.

0

threads

3

posts

56

credits

Registered member

Rank: 2

credits
56
Published in 2015-11-18 04:56:17 | Show all floors
loboris,

first off all, thanks for sharing this arch image. it works so far, nice!!

one small remark: in order for the install_to_emmc script to work out of the box on this image, you first need to install two more packages: 1/ parted (to create the filesystem)
and 2/ dosfstools (for the mkfs.vfat command to work)

regards,
drizzle

0

threads

2

posts

18

credits

Novice

Rank: 1

credits
18
Published in 2017-2-5 01:41:00 | Show all floors
12
Return to list Post new posts
You need to log in before you can reply login | Register

Points Rule

Quick reply Top Return list